<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: FreeRTOSTimer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">FreeRTOSTimer.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * FreeRTOSTimer.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Mar 8, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_FREERTOSTIMER_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_FREERTOSTIMER_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;freertos/FreeRTOS.h&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;freertos/task.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;freertos/timers.h&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classFreeRTOSTimer.html">   16</a></span>&#160;<span class="keyword">class </span><a class="code" href="classFreeRTOSTimer.html">FreeRTOSTimer</a> {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <a class="code" href="classFreeRTOSTimer.html#a71b533a7326cf6f9b095ef6d2277bb1d">FreeRTOSTimer</a>(<span class="keywordtype">char</span>* name, TickType_t period, UBaseType_t reload, <span class="keywordtype">void</span>* data, <span class="keywordtype">void</span> (*callback)(<a class="code" href="classFreeRTOSTimer.html">FreeRTOSTimer</a>* pTimer));</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classFreeRTOSTimer.html#aa8a047ff6418d0d0d62716f47fd863c5">~FreeRTOSTimer</a>();</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classFreeRTOSTimer.html#a2032df1fe519879731656090709abfad">changePeriod</a>(TickType_t newPeriod, TickType_t blockTime = portMAX_DELAY);</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="classFreeRTOSTimer.html#a162a7a248cef2303e6b96048056ef322">getData</a>();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="classFreeRTOSTimer.html#a9ab13f95f2bcb12a65fee1775f9c40b8">getName</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    TickType_t <a class="code" href="classFreeRTOSTimer.html#a423965d8980aae6a1877b338a2d83d55">getPeriod</a>();</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classFreeRTOSTimer.html#ae1f243c23d6d6edece568fe0e9de0209">reset</a>(TickType_t blockTime = portMAX_DELAY);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classFreeRTOSTimer.html#a4cad6643b084ed3813a424fa60547742">start</a>(TickType_t blockTime = portMAX_DELAY);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classFreeRTOSTimer.html#adfa6641c22dba498dcd44744294d072d">stop</a>(TickType_t blockTime = portMAX_DELAY);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    TimerHandle_t timerHandle;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    TickType_t period;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    void (*callback)(<a class="code" href="classFreeRTOSTimer.html">FreeRTOSTimer</a>* pTimer);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> internalCallback(TimerHandle_t xTimer);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;};</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_FREERTOSTIMER_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classFreeRTOSTimer_html_a71b533a7326cf6f9b095ef6d2277bb1d"><div class="ttname"><a href="classFreeRTOSTimer.html#a71b533a7326cf6f9b095ef6d2277bb1d">FreeRTOSTimer::FreeRTOSTimer</a></div><div class="ttdeci">FreeRTOSTimer(char *name, TickType_t period, UBaseType_t reload, void *data, void(*callback)(FreeRTOSTimer *pTimer))</div><div class="ttdoc">Construct a timer.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:46</div></div>
<div class="ttc" id="classFreeRTOSTimer_html_ae1f243c23d6d6edece568fe0e9de0209"><div class="ttname"><a href="classFreeRTOSTimer.html#ae1f243c23d6d6edece568fe0e9de0209">FreeRTOSTimer::reset</a></div><div class="ttdeci">void reset(TickType_t blockTime=portMAX_DELAY)</div><div class="ttdoc">Reset the timer to the period and start it ticking.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:90</div></div>
<div class="ttc" id="classFreeRTOSTimer_html_a423965d8980aae6a1877b338a2d83d55"><div class="ttname"><a href="classFreeRTOSTimer.html#a423965d8980aae6a1877b338a2d83d55">FreeRTOSTimer::getPeriod</a></div><div class="ttdeci">TickType_t getPeriod()</div><div class="ttdoc">Return the period of the timer.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:100</div></div>
<div class="ttc" id="classFreeRTOSTimer_html_aa8a047ff6418d0d0d62716f47fd863c5"><div class="ttname"><a href="classFreeRTOSTimer.html#aa8a047ff6418d0d0d62716f47fd863c5">FreeRTOSTimer::~FreeRTOSTimer</a></div><div class="ttdeci">virtual ~FreeRTOSTimer()</div><div class="ttdoc">Destroy a class instance.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:68</div></div>
<div class="ttc" id="classFreeRTOSTimer_html_adfa6641c22dba498dcd44744294d072d"><div class="ttname"><a href="classFreeRTOSTimer.html#adfa6641c22dba498dcd44744294d072d">FreeRTOSTimer::stop</a></div><div class="ttdeci">void stop(TickType_t blockTime=portMAX_DELAY)</div><div class="ttdoc">Stop the timer from ticking.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:83</div></div>
<div class="ttc" id="classFreeRTOSTimer_html_a2032df1fe519879731656090709abfad"><div class="ttname"><a href="classFreeRTOSTimer.html#a2032df1fe519879731656090709abfad">FreeRTOSTimer::changePeriod</a></div><div class="ttdeci">void changePeriod(TickType_t newPeriod, TickType_t blockTime=portMAX_DELAY)</div><div class="ttdoc">Change the period of the timer.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:110</div></div>
<div class="ttc" id="classFreeRTOSTimer_html_a9ab13f95f2bcb12a65fee1775f9c40b8"><div class="ttname"><a href="classFreeRTOSTimer.html#a9ab13f95f2bcb12a65fee1775f9c40b8">FreeRTOSTimer::getName</a></div><div class="ttdeci">const char * getName()</div><div class="ttdoc">Get the name of the timer.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:122</div></div>
<div class="ttc" id="classFreeRTOSTimer_html_a4cad6643b084ed3813a424fa60547742"><div class="ttname"><a href="classFreeRTOSTimer.html#a4cad6643b084ed3813a424fa60547742">FreeRTOSTimer::start</a></div><div class="ttdeci">void start(TickType_t blockTime=portMAX_DELAY)</div><div class="ttdoc">Start the timer ticking.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:76</div></div>
<div class="ttc" id="classFreeRTOSTimer_html_a162a7a248cef2303e6b96048056ef322"><div class="ttname"><a href="classFreeRTOSTimer.html#a162a7a248cef2303e6b96048056ef322">FreeRTOSTimer::getData</a></div><div class="ttdeci">void * getData()</div><div class="ttdoc">Get the user supplied data associated with the timer.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.cpp:132</div></div>
<div class="ttc" id="classFreeRTOSTimer_html"><div class="ttname"><a href="classFreeRTOSTimer.html">FreeRTOSTimer</a></div><div class="ttdoc">Wrapper around the FreeRTOS timer functions.</div><div class="ttdef"><b>Definition:</b> FreeRTOSTimer.h:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
